
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "swagger/template/version"

Gem::Specification.new do |spec|
  spec.name          = "swagger-template"
  spec.version       = Swagger::Template::VERSION
  spec.authors       = ["Cristiano Betta"]
  spec.email         = ["cristiano@betta.io"]

  spec.summary       = "Generate namespaced clients of template & OpenAPI spec"
  spec.description   = "Generate namespaced clients of template & OpenAPI spec"
  spec.homepage      = "https://github.com/workbetta/swagger-template"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "awesome_print", "~> 1.8.0"
  spec.add_development_dependency "bundler", "~> 1.16.a"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
